Passer au contenu principal
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
role-assignments
Répertorier les attributions de rôles de compte
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
  --header 'Authorization: Bearer <token>'
[
  {
    "expanded_capability_keys": [
      "<string>"
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_type": "<string>",
    "role_key": "<string>",
    "subject_id": "<string>",
    "subject_type": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "revoked_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Paramètres de chemin

account_id
string<uuid>
requis

Paramètres de requête

subject_type
enum<string> | null

Types de sujets d’autorisation.

Options disponibles:
user,
group,
service_account
subject_id
string | null
role_key
enum<string> | null

Identificateurs de rôle stables et réutilisables.

Options disponibles:
viewer,
editor,
domain_manager,
manager,
dns_manager,
ip_manager,
billing_viewer,
billing_admin,
credential_manager
include_revoked
boolean
défaut:false

Réponse

expanded_capability_keys
string[]
requis
id
string<uuid>
requis
resource_id
string<uuid>
requis
resource_type
string
requis
role_key
string
requis
subject_id
string
requis
subject_type
string
requis
created_at
string<date-time> | null
revoked_at
string<date-time> | null